import React from 'react';
import { formatStr } from '../../_utils/setFormatter';
import s from '../input/index.less';

export default function Detail(props) {
    const componentAttr = props.componentAttr || {};
    const format = componentAttr.format || formatStr;
    const value = props.formatter ? props.formatter(props.value) : props.value;
    if (!value) return null;
    let valueStr = '';
    if (typeof value === 'string') {
        valueStr = value;
    } else {
        valueStr = value.format ? value.format(format) : value;
    }
    return <div className={s.text}>{valueStr}</div>;
}
