import React from 'react';
import Tag from '../tag';

export default function Detail(props) {
    const value = props.formatter ? props.formatter(props.value) : props.value;
    const componentAttr = props.componentAttr || {};
    if (!value) return null;
    if (typeof value === 'object') {
        const options = componentAttr.options || [];
        const tagObj = componentAttr.isMultiple ? { maxTagTextLength: 10, maxTagCount: 2 } : { maxTagTextLength: 10 };
        return <Tag options={options} value={props.value} defaultColor="E9EEF9" {...tagObj} />;
    }
}
