import React from 'react';
import styles from './index.less';

export default function TagList(props) {
    const value = props.value || [];
    if (!Array.isArray(value) || value.length === 0) return null;
    const maxTagCount = props.maxTagCount || 2;
    const maxTagTextLength = props.maxTagTextLength || 8;
    let newArr = value.slice(0, maxTagCount).filter((item) => item.value);
    return (
        <div className={styles.tagList}>
            {newArr.map((item, index) => {
                let color = '';
                if (props.options && Array.isArray(props.options) && props.options.length > 0) {
                    const obj = props.options.find((ls) => ls.id === item.value) || {};
                    color = obj.color || '';
                }
                if (value.length === 1) {
                    return (
                        <div
                            className={styles.item}
                            style={{ background: `#${color || props.defaultColor || 'E9EEF9'}` }}
                            key={item.value + index}
                        >
                            <span className={styles.itemBgTxt}>{item.text}</span>
                        </div>
                    );
                }
                return (
                    <div
                        className={styles.item}
                        style={{ background: `#${color || props.defaultColor || 'E9EEF9'}` }}
                        key={item.value + index}
                    >
                        <span className={styles.itemBgTxt}>{item.text}</span>
                    </div>
                );
            })}
            {value.length > newArr.length ? (
                <span className={styles.moreBtn}>+{value.length - newArr.length}</span>
            ) : null}
        </div>
    );
}
