import React from 'react';
import styles from './styles.less';
import Tag from '../tag';

export default function Detail(props) {
    const value = props.formatter ? props.formatter(props.value) : props.value;
    const componentAttr = props.componentAttr || {};
    const tagObj = componentAttr.isMultiple
        ? { maxTagTextLength: 10, maxTagCount: 2 }
        : { maxTagTextLength: 10, maxTagCount: 1 }; // 设置tag最长显示以及显示个数
    if (!value) return null;
    if (typeof value === 'object') {
        const newVal = Array.isArray(props.value) ? props.value : [];
        const tagsVal = newVal.filter((ls) => ls.value);
        const textVal = newVal.filter((ls) => !ls.value);
        return (
            <>
                {' '}
                {tagsVal.length > 0 ? <Tag value={tagsVal} {...tagObj} /> : null}
                {textVal.length > 0 ? <div className={styles.text}>{textVal[0].text}</div> : null}
            </>
        );
    }
}
